Bulk Add dnc entries/bulk add
curl --request POST \
--url https://api.callaro.ai/api/v1/dnc_entries/bulk_add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'file=<string>'const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.callaro.ai/api/v1/dnc_entries/bulk_add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/dnc_entries/bulk_add"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"phone_e164": "<string>",
"reason": "<string>",
"source": "<string>",
"source_campaign_id": "<string>",
"added_by_id": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Dnc
Bulk Add dnc entries/bulk add
From api/v1/dnc_entries#bulk_add in voice_saas_api. Fields come from that action’s strong params / params usage.
POST
/
api
/
v1
/
dnc_entries
/
bulk_add
Bulk Add dnc entries/bulk add
curl --request POST \
--url https://api.callaro.ai/api/v1/dnc_entries/bulk_add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'file=<string>'const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.callaro.ai/api/v1/dnc_entries/bulk_add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/dnc_entries/bulk_add"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"phone_e164": "<string>",
"reason": "<string>",
"source": "<string>",
"source_campaign_id": "<string>",
"added_by_id": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Body
multipart/form-data
Was this page helpful?